
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>大数据并行计算利器之MPI/OpenMP / iVAN</title>

    <meta name="description" content="大数据并行计算利器之MPI/OpenMP 1 背景        图像连通域标记算法是从一幅栅格图像(通常为二值图像)中,将互相邻接(4邻接或8邻接)的具有非背景值的像素集合提取出来,为不同的连通域填入数字标记,并且统计连通域的数目.通过对栅格图像中进行连通域标记,可用于静态地分析各连通域斑块的分布,或动态地分析这些斑块随时间的集聚或离散,是图像处理非常基础的算法.目前常用的连通域标记算法有1)扫描法(二次扫描法.单向反复扫描法等).2)线标记法.3)区域增长法.二次扫描法由于简单通用而被广泛使用! 图1 连通域标记示意图       ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">大数据并行计算利器之MPI/OpenMP</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>1 背景</h1>
<p>       图像连通域标记算法是从一幅栅格图像（通常为二值图像）中，将互相邻接（4邻接或8邻接）的具有非背景值的像素集合提取出来，为不同的连通域填入数字标记，并且统计连通域的数目。通过对栅格图像中进行连通域标记，可用于静态地分析各连通域斑块的分布，或动态地分析这些斑块随时间的集聚或离散，是图像处理非常基础的算法。目前常用的连通域标记算法有1）扫描法（二次扫描法、单向反复扫描法等）、2）线标记法、3）区域增长法。二次扫描法由于简单通用而被广泛使用！</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MTczMzIxMzQ1OTI0MS5wbmc=.jpg"></p>
<p>图1 连通域标记示意图</p>
<p> </p>
<p>      随着所要处理的数据量越来越大，使用传统的串行计算技术的连通域标记算法运行时间过长，难以满足实际应用的效率需求。随着并行计算技术的发展，利用不同的编程模型，许多数据密集型的计算任务可以被同时分配给单机多核或多机多处理器进行并行处理，从而有可能大幅度缩减计算时间。目前在集群计算领域广泛使用MPI来进行并行化，在单机领域广泛使用OpenMP进行化，本文针对基于等价对的二值图像连通域标记算法的进行了并行化设计，利用不同的并行编程模型分别实现了不同的并行算法，并通过实验对利用不同并行编程模型所实现的连通域标记算法进行了性能对比分析。</p>
<h1>2 二次扫描串行算法思想</h1>
<p>　　顾名思义，二次扫描串行算法步骤包含两部分。</p>
<h2>2.1 第一次扫描</h2>
<p>a）标记</p>
<p>b）等价关系建立</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MTczNTEwNTE3MjE4OS5wbmc=.jpg"></p>
<h2>2.2 第二次扫描</h2>
<p>      利用并查集链表进行标记更新。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MTczNTUxNTAyNzYwMi5wbmc=.jpg"></p>
<p> </p>
<h1>3 并行化策略</h1>
<h2>3.1 数据划分并行策略 </h2>
<p>        二次扫描的串行算法中，非直接相邻的各像元数据之间是无关的，将图像分割为数据块后，对于各个数据块之间的主体运算也是独立无关的，可并行性较高，因此可通过对图像进行分块来加快计算时间、提高计算效率。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MTczNjQ2ODMwNTMzMy5wbmc=.jpg"></p>
<p> </p>
<h2>3.2 并行算法步骤</h2>
<p>a）各个进程分别使用串行算法计算 </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjExMzUwNTY0ODI3NC5wbmc=.jpg"></p>
<p>b）各个进程将各块的标记值唯一化</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjExNDQzNTgwNzM3OC5wbmc=.jpg"></p>
<p> </p>
<p>c）生成等价对数组</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjExNjA0NDA4MzcxOC5wbmc=.jpg"></p>
<p>d）主进程生成全局并查集链表</p>
<p>    将1到n-1进程中比较获得的等价对数组统一发送给0进程，0进程生成并查集链表。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjExODIwNDA4MjMwMy5wbmc=.jpg"></p>
<p>e）广播全局并查集链表，各进程更改标记值</p>
<p>    主进程广播全局并查集链表，各进程接收后更新标记值。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjExOTMxNzgzMzI2NC5wbmc=.jpg"></p>
<h1>4 程序实现</h1>
<p>      并行算法详细流程图。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjEyMTE4NjQyMTg4NC5wbmc=.jpg"></p>
<p> </p>
<p>       MPI版本和OpenMP版本的并行算法。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjEyMjIzODYxMjM5My5wbmc=.jpg"></p>
<p> </p>
<h1>5 测试准备</h1>
<h2>5.1 实验目的</h2>
<p><strong>a）正确性</strong>；</p>
<p><strong>b）效率</strong>：测试不同连通域数目的数据、不同机器环境（单机和集群）、不同并行编程模型（MPI和OpenMP）对二次扫描并行算法效率的影响。</p>
<h2>5.2 测试环境</h2>
<p><strong>a）单节点</strong></p>
<p>       CPU：两颗Intel(R) Quad Core E5645 Xeon(R) CPU，共12核；</p>
<p>       内存：80GB ；操作系统：Linux CentOS 64位。</p>
<p><strong>b）高性能集群（4个计算节点，1个存储节点）</strong></p>
<p>      CPU：两颗Intel(R) Quad Core E5645 Xeon(R) CPU，共12核；</p>
<p>      内存：32GB；操作系统：Linux CentOS 64位；</p>
<p>      节点间文件系统：Network File System （NFS）。</p>
<p><strong>c）测试数据</strong></p>
<p>     两个相同数据量（ 18640×22260 ）的二值栅格图像，一个连通域为3个（简单图），一个连通域为10433个（复杂图）</p>
<h1>6  效率测试结果</h1>
<h2>6.1 结果1：复杂图和简单图的运行时间</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjEzMDEyMDMzMTUzMS5wbmc=.jpg"></p>
<h2>6.2 为什么复杂图计算时间更长？</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjEzMjA1Njg5ODQ3NC5wbmc=.jpg"></p>
<h2>6.3 结果2：单节点环境下，复杂图和简单图的加速比</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjEzMzI1MzMwMzc0NC5wbmc=.jpg"></p>
<h2>6.4 问题1：为什么会出现超线性加速比？</h2>
<p>     原因：并查集链表的影响。</p>
<p>     连通域标记算法很多时间用于对并查集链表进行大量查询和插入操作。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjEzNDU1Mzc3MjIzNS5wbmc=.jpg"></p>
<h2>6.5 问题2：为什么复杂图比简单图加速比高？</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjEzNjE4ODkyNTM4Ni5wbmc=.jpg"></p>
<h2>6.6 结果3：集群环境下，复杂图和简单图的加速比</h2>
<h2><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjEzODI5OTU1MjA0Ny5wbmc=.jpg"></h2>
<h2>6.7 问题：为什么进程数超过12时，复杂图加速比不再上升，而简单图加速比继续上升？</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjEzOTQwOTA4NzgzNi5wbmc=.jpg"></p>
<h2>6.8 结果4：OpenMP版本与MPI版本的比较？</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjE0MDQ2Mzc3NDgwMi5wbmc=.jpg"></p>
<h2>6.9问题：为什么MPI 1个进程比OpenMP 1个线程更高效？</h2>
<h2><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjE0MTQ4ODE0MTgyNy5wbmc=.jpg"></h2>
<h2>6.10 OpenMP开辟线程的开销？</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjE0MzM1NDI0ODY5MC5wbmc=.jpg"></p>
<h2>6.11 OpenMP编译制导语句会影响编译结果？</h2>
<p>     OpenMP编译制导语句会影响编译结果，这也可以解释单线程OpenMP程序比串行程序慢这一现象。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjE0NTQ5NTAyNjM2Mi5wbmc=.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MjI0OTAvMjAxNTA2LzI3MjE0NjQ4MDQ5MTI3Ny5wbmc=.jpg"></p>
<p> </p>
<h1>参考文献</h1>
<p><strong>连通域标记算法的并行化研究，</strong>马益杭、占利军、谢传节、秦承志，<strong>《地理与地理信息科学》</strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 13:41:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>大数据并行计算利器之MPI/OpenMP的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlA2WVp.html" rel="bookmark">第五届CCF大数据学术会议即将开幕，亮点抢先看</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				雷锋网 AI科技评论按:第五届CCF大数据学术会议将于2017年10月13日-15日在深圳举行,这是我国大数据领域的旗舰会议.届时雷锋网(公众号:雷锋网) AI科技评论也将进行全面报导. 近几年,大数据是各界高度关注.积极布局的热点方向,它已经成为全球IT行业最强劲的发展动力,正在引起各行各业的业务变革与产业升级. 为了交流大数据研究与应用的成果和经验,探讨产业化所面临的关键性挑战问题和研究方向,2017年10月13日-15日,深圳,第五届CCF大数据学术会议,海内外相关研究者.开发者和行业关注			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boqmNVp.html" rel="bookmark">硅谷观察之大数据篇（完整版）</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/boqmNVp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4WDI1YW5iRmxhS2tEblNSdjRwcXkwVzZQNlRyRnNQY0w0cXlpY2dnNVhrOUtPbkh5N3FuMTlPRngzOEtQUEUyaHkwSjVjalFQUjlqWWcvMA==.jpg">
							</a>
						<div class="summary">
				[上篇:挖掘机和&quot;改变世界的&quot;大数据公司们] 硅谷的这一个月,我在 startups demo days 和各种大公司一日游中度日,以为会逃脱国内各种会上各种&quot;大数据&quot;和挖掘机的梗,但万万没想到这里更甚.Hi~ 本文发自仅次于五道口的宇宙中心硅谷,与你分享大数据在这片土地上的真实生长状况. 什么是&quot;改变世界&quot;的大数据公司 近两周硅谷两场规模比较大的 demo 大会上,就有十多家自称做大数据的 startups,有做消费者行为的,有做体育分析的,有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrqgvVb.html" rel="bookmark">2015年大数据基金闪耀 海富通、泰达宏利2016竞风流</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				变革的年代.动荡的江湖,2015转瞬而过:如果评选这一年的关键词,&quot;大数据&quot;毫无悬念地会排在靠前的位置. 而作为资本市场中的重要一环,大数据也开始渗透到公募基金领域的方方面面,显而易见的一点是大数据基金2015潮涌.根据中国经济网记者的不完全统计,大数据基金阵营岁末已经突破了两位数,各家基金公司逐渐将大数据基金看作了标配产品. 年底,潮仍未止,新一轮大数据基金的军备竞赛蓄势待发.中国经济网记者了解到,本月已有大数据基金拿到了批文:一只是东方财富网与海富通基金联合打造的海富通东财大数据基			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQRXZz.html" rel="bookmark">大数据&OpenCurlyDoubleQuote;泛滥&rdquo;：融核普及并行计算？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				北京时间今天凌晨,英特尔(Intel)在盐湖城举办的超级计算机(SC12)大会上,正式发布了基于集成众核(MIC)架构的Xeon Phi(至强融核)协处理器.其中Xeon Phi协处理器5110P即日起出货,2013年1月28日GA,建议客户价格2649美元:Xeon Phi协处理器3110家族将于2013年上半年提供,建议客户价格低于2000美元. Intel Xeon Phi协处理器家族,5110P和定制产品SE10P采用被动散热,适用于数据中心:3100系列有被动散热和主动散热两种方案,后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Eoq4z.html" rel="bookmark">从洞察力到生产力 伊利大数据的价值创造</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				12月2日,中国经济和金融领域最具权威性和前瞻性的年度盛会--第七届财新峰会在北京举行,围绕&quot;改革执行力&quot;这一主题,全国著名学者.知名企业家就&quot;数字革命&quot;等话题展开激烈讨论,共同为中国经济转型升级探寻新路径.全球乳业8强伊利集团从前瞻性的角度对大数据的价值创造进行了系统性的思考,大胆提出从洞察力到生产力的战略构想. 伊利认为,数据本身并没有任何意义.只有不断分析和洞察这些数据,将其转化为信息和知识,再用来指导行为.解决实际问题,才能产生真正的价值. 数据来源:线上+			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWwd17M.html" rel="bookmark">泰达宏利刘欣：亿万股民大数据中掘真金</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继基金公司相继与BAT合作推出大数据基金后,近日,泰达宏利基金也与&quot;炒股神器&quot;同花顺联合推出一只大数据基金--泰达宏利同顺大数据.据悉,该基金于1月6日开始发行,这也是泰达宏利2016年的首发基金. &quot;大数据研究与传统投资研究缺一不可,就像冲浪,不仅要看人本身的技术,航线轨迹,更需要追随海浪内部的动力.只有把握以上三点,才能享受一场完美的追逐.&quot;在接受记者专访时,泰达宏利同顺大数据拟任基金经理刘欣强调称,大数据投资是对传统投资的完美补充. 回顾刚刚过去的2015年,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeaN9xz.html" rel="bookmark">伊利联姻腾讯 挖掘大数据及健康产业领域合作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				日前,随着中国最大的乳品企业伊利集团和市值最高的互联网企业腾讯签署战略合作,传统企业与互联网企业的结合进入了新阶段. 根据伊利股份的公告,伊利和腾讯将基于现有及未来拟从事业务,在大数据及健康产业.核心营销资源深度运用等领域开展战略合作,并就O2O(Online to Offline,互联网和线下商务整合)领域的合作展开探讨. 2014年是互联网和线下商务整合的爆发年,进入2014年短短4个月,数个传统行业的大户迈出了&quot;互联网化&quot;的步子,微信购买.微信银行甚至在线打车,都已经成为消费者所			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeaNE8z.html" rel="bookmark">腾讯联手伊利挖掘大数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				传统行业的互联网化&quot;与&quot;互联网行业的实业渗透&quot;靠的不是概念翻新,而是靠对&quot;用户体验&quot;和&quot;产品价值&quot;的挖掘 日前,随着中国最大的乳品企业伊利集团和市值最高的互联网企业腾讯签署战略合作,传统企业与互联网企业的结合进入了新阶段. 根据伊利股份的公告,伊利和腾讯将基于现有及未来拟从事业务,在大数据及健康产业.核心营销资源深度运用等领域开展战略合作,并就O2O(Online to Offline,互联网和线下商务整合)领域的合作展开探讨. 201			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmB0Vlz.html" rel="bookmark">阿里云大数据利器之-RDS迁移到Maxcompute实现动态分区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当前,很多用户的业务数据存放在传统关系型数据库上,例如阿里云的RDS,做业务读写操作.当数据量非常大的时候,此时传统关系型数据库会显得有些吃力,那么会经常有将mysql数据库的数据迁移到[大数据处理平台-大数据计算服务(Maxcompute,原ODPS)(https://www.aliyun.com/product/odps?spm=5176.doc27800.765261.309.dcjpg2),利用其强大的存储和计算能力进行各种查询计算,结果再回流到RDS.          一般情况下,业			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2JnVb.html" rel="bookmark" class="title">Seajs是什么及其优缺点&amp;amp&semi;amp&semi;如何使用？</a>
					<div>
						这篇文章主要介绍了Seajs的相关知识和和学习心得,适合刚接触SeaJS的同学,需要的朋友可以参考下,有更好的新手教程或文档,欢迎推荐.分享! 1.Seajs简介   Seajs,一个Web模块加载框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boxZXM.html" rel="bookmark" class="title">单元和线程模型</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze44a0p.html" rel="bookmark" class="title">JavaScript中的方法、方法引用和参数学习</a>
					<div>
						首先,我们来看一段代码,如何觉得不甚明白的,则本文会对你有益: var player = function (e) {            return (function f(m) {    re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj0Nep.html" rel="bookmark" class="title">WinAPI：钩子回调函数之MouseProc</a>
					<div>
						MouseProc( nCode: Integer; {} wParam: WPARAM; {} lParam: LPARAM {} ): LRESULT; {}					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKAWWp.html" rel="bookmark" class="title">Java SE 6 update 10 Beta简介</a>
					<div>
						不要被这个普普通通的名字所迷惑,即将发布的 Java SE6 update10(当前发布的是试用版)与之前 的更新版本存在很大的差异.与之前发布的 java 编程语言更新相比,Java SE 6u10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlmnvb.html" rel="bookmark" class="title">X3D实战基础讲座之九</a>
					<div>
						X3D对多媒体的支持是通过这三个节点来实现的:AudioClip(音频数据节点).Sound(音频播放节点)以及MovieTexture(影像纹理节点). 在本讲中,我们先来简单地介绍这三个节点的属性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2E45M.html" rel="bookmark" class="title">WCF分布式开发步步为赢&lpar;8&rpar;</a>
					<div>
						使用数据集(DataSet).数据表(DataTable).集合(Collection)传递数据 数据集(DataSet).数据表(DataTable).集合(Collection)概念是.NET F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2o6Bp.html" rel="bookmark" class="title">用Win7截图工具截取菜单</a>
					<div>
						小白最近在使用Word软件时遇到了一些问题,想通过百度知道向大家求助,但这个问题只用文字很不容易描述清楚,所以小白想把问题截图发上来.从Win7系统中找出自带的截图工具后,小白便开始截图,不过,问题又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7oDlb.html" rel="bookmark" class="title">电脑十大中毒症状现象</a>
					<div>
						  电脑中毒的症状之一:电脑经常性死机 相信大家遇到电脑经常性的死机就可能是你的电脑被中毒了,假如你开机没多久,也没有玩很多占用高大量cpu和内存的程序,这样也会出现死机的话,这种症状就是非常明显了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Jg6b.html" rel="bookmark" class="title">Win7笔记本蓝牙怎么用</a>
					<div>
						  1.点击电脑右下角的蓝牙图标.如果你的电脑有蓝牙功能的话那么在电脑的右下角就会出现一个蓝牙的图标,右击即可进行相应的设置.如果没有但是你的电脑又拥有蓝牙的功能,那么就需要拿出你的驱动关盘进行驱动的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB2NLz.html" rel="bookmark" class="title">Word如何插入半勾&Sqrt;符号</a>
					<div>
						一.使用长相类似半勾的符号 如果使用这种方法,就比较简单了.方法如下: 在Word中,找到菜单&quot;插入&quot;→&quot;符号&quot;,如下图. 弹出下面的对话框. 电脑教程 上图中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywWOEz.html" rel="bookmark" class="title">怎样下载电子书到手机上&quest;电子书下载教程</a>
					<div>
						现在移动设备使用越来越多,并且多数移动设备都支持小说阅读,这也导致了不手手机小说用户,MP3小说用户,使用手机或移动设备看小说已经是再平常不过的事情了,不过笔者发现依然有不少朋友不知道怎样下载电子书, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWd6np.html" rel="bookmark" class="title">word拼音加声调怎么打 word拼音标注图文教程</a>
					<div>
						  如果想在Word中拼音加音调,相信很多还没入门都新手朋友都不知道,其实方法有三种:word里面的符号.拼音指南和输入法的拼音功能,本教程介绍的是利用拼音指南在word拼音加标注的图文教程,以&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam1YNb.html" rel="bookmark" class="title">浅谈Spark几种不同的任务提交相关脚本（以Spark 1&period;5&period;0为例）</a>
					<div>
						本节主要内容 spark-shell spark-submit spark-sql spark-class 总结 1. spark-shell spark-shell脚本文件内容如下: #!/usr/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE69A6M.html" rel="bookmark" class="title">支持拼音检索的TextBox扩展控件-使用</a>
					<div>
						我的上一个支持拼音检索的TextBox扩展控件,由于有些网友留言和发邮件问如何用, 如:菜鸟AAA等当时想到肯定大家都会用,就没上传示例程序. 原文为:http://www.cnblogs.com/w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7VBkz.html" rel="bookmark" class="title">《深入理解JavaScript》&mdash;&mdash;1&period;14　对象和构造函数</a>
					<div>
						1.14 对象和构造函数 本节涵盖了JavaScript两种基础的面向对象机制:单一对象和构造函数(类似其他语言中对象的工厂方法). 1.14.1 单一对象 和所有的值一样,对象也具有属性.你可以认为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b326PAz.html" rel="bookmark" class="title">这个报错怎么解决啊 iOS集成3&period;0环信 我是没有导入什么吗？求助~</a>
					<div>
						问题描述 Implicit declaration of function 'NSEaseLocalizedString' is invalid in C99Implicit conversion o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN6lBz.html" rel="bookmark" class="title">宏图三胞电商总经理洪辉离职加盟孩子王</a>
					<div>
						亿邦动力网获悉,原宏图三胞电子商务事业部总经理洪辉因个人原因已经辞职,加盟五星控股旗下零售业务&quot;孩子王&quot;,任电子商务事业部总经理.之前,洪辉向亿邦动力网透露,宏图三胞将要通过移动端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLm2dp.html" rel="bookmark" class="title">Velocity魔法堂系列一：入门示例</a>
					<div>
						一.前言   Velocity作为历史悠久的模板引擎不单单可以替代JSP作为Java Web的服务端网页模板引擎,而且可以作为普通文本的模板引擎来增强服务端程序文本处理能力.而且Velocity被移植 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AGq9z.html" rel="bookmark" class="title">ui-Android自定义组件是如何定义宽度和高度的？</a>
					<div>
						问题描述 Android自定义组件是如何定义宽度和高度的? android:id=&quot;@+id/playerSeekBar&quot; android:layout_width=&quot;f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKX2Kz.html" rel="bookmark" class="title">sql server-求助：sqlserver一条sql语句的优化   是否需要索引 建立什么样的索引合适</a>
					<div>
						问题描述 求助:sqlserver一条sql语句的优化 是否需要索引 建立什么样的索引合适 1C select COUNT(*) total from (select distinct(device_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/bBgKGOM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA3MzEyMTE1MDEwNDY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/bBgKGOM.html" rel="bookmark" class="title">Java语言实现简单FTP软件------&amp;amp&semi;gt&semi;FTP软件主界面的实现（四）</a>
					<div>
						首先看一下该软件的整体代码框架                        1.首先介绍程序的主入口FTPMain.java,采用了一个漂亮的外观风格 package com.oyp.ftp; im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBG5Yz.html" rel="bookmark" class="title">求助 kibana</a>
					<div>
						问题描述 遇到上述问题,es,json汉子是完全的没有问题,用kibana建立x轴的时候,汉子变为单个汉子. 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNEVBM.html" rel="bookmark" class="title">Tinder的启示：卡片式应用UI开始流行</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 向右划表示对对方感兴趣,向左划表示不感兴趣.如果对方在看了你的简介之后,也向右划动,那你们就配对成功了. 这就是在线约会应用Tinder简单的操作方式. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB887z.html" rel="bookmark" class="title">2016年SSD全球销量排行榜：第一竟是它</a>
					<div>
						虽然从去年年中开始,闪存颗粒制程问题的拖累,让原本发展迅猛的固态硬盘行业停下了脚步,但是在整体业绩上,固态硬盘行业在去年依旧实现了跨越式发展,特别是随着各大传统机械硬盘厂商的或关停或衰败,固态硬盘行业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEOyOp.html" rel="bookmark" class="title">android实现缓存图片等数据&lowbar;Android</a>
					<div>
						采用LinkedHashMap自带的LRU 算法缓存数据, 可检测对象是否已被虚拟机回收,并且重新计算当前缓存大小,清除缓存中无用的键值对象(即已经被虚拟机回收但未从缓存清除的数据):  * 默认内存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/z44851z.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny83MDg0MzUvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/z44851z.html" rel="bookmark" class="title">单细胞技术&mdash;基因测序新方向</a>
					<div>
						导读:单细胞全基因组测序技术是在单细胞水平对全基因组进行扩增与测序的一项新技术.它在个别细胞之间的遗传差异表达方面拥有无与伦比的优势,为癌症发生.发展机制及其诊断.治疗提供了新的研究思路并开辟了新的研 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm5GDp.html" rel="bookmark" class="title">浅析为网站添加单向链接的方法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 来A5学习这么久了,一直没有注册帐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqjLXp.html" rel="bookmark" class="title">支持跨域iframe高度随内容动态缩放自适应</a>
					<div>
						iframe高度随页面内容自适应高度,当页面高度变动时iframe高度也自动变化 浏览器兼容:IE6++.Firefox全系列.Chrome全系列.(其他版本浏览器未做测试,期待你测试评论反馈以完善本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWd0Dnp.html" rel="bookmark" class="title">多家电子支付公司开始开发各种快速支付的手段</a>
					<div>
						摘要: 为了抓住玩家转瞬即逝的消费欲望,多家电子支付公司开始开发各种快速支付的手段 [ 手机游戏消费往往是玩家在过关的过程中才会进行的,如果这个时候由于支付方式不够方便而没有 为了抓住玩家转瞬即逝的消 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
